<?xml version = "1.0" encoding = "utf-8" ?>
<problem
	version = "1.0"
	id = "qual.2025.main.large-strip"
>
	<judging>
		<script type = "%icpc">
			<testset
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
				test-count = "40"
			>
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
		<script type = "%ioi">
			<testset
				name = "preliminary"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test comment = "manual cmd: ''" />
			</testset>
			<testset
				name = "main"
				feedback = "outcome"
				input-name = "*"
				output-name = "*"
				input-href = "tests/##"
				answer-href = "tests/##.a"
				time-limit = "1.0s"
				memory-limit = "1073741824"
			>
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "manual cmd: ''" />
				<test points = "0" comment = "generated cmd: 'gen_random -n=3'" />
				<test points = "0" comment = "generated cmd: 'gen_random -n=2'" />
				<test points = "0" comment = "generated cmd: 'gen_random -n=7'" />
				<test points = "0" comment = "generated cmd: 'gen_random -n=21'" />
				<test points = "0" comment = "generated cmd: 'gen_random -n=180'" />
				<test points = "0" comment = "generated cmd: 'gen_random -n=1000'" />
				<test points = "0" comment = "generated cmd: 'gen_random -n=983'" />
				<test points = "0" comment = "generated cmd: 'gen_circle -n=1000 -radius=5000'" />
				<test points = "0" comment = "generated cmd: 'gen_circle -n=1000 -radius=1312'" />
				<test points = "0" comment = "generated cmd: 'gen_circle -n=1000 -radius=812'" />
				<test points = "0" comment = "generated cmd: 'gen_circle -n=987 -radius=4875'" />
				<test points = "0" comment = "generated cmd: 'gen_big_hull -n=1000'" />
				<test points = "0" comment = "generated cmd: 'gen_big_hull -n=1000 random words'" />
				<test points = "0" comment = "generated cmd: 'gen_big_hull -n=984'" />
				<test points = "0" comment = "generated cmd: 'gen_big_hull -n=999'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=4 -mode=naive -side=9999'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=4 -mode=naive -side=8713'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=3 -mode=triangle -side=9999'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=3 -mode=triangle -side=5613'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=1000 -mode=naive -side=9983'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=982 -mode=naive -side=9999'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=963 -mode=triangle -side=9813'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=981 -mode=triangle -side=7155'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=4 -mode=free -sqlen=1500000'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=1000 -mode=free -sqlen=1500000'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=10 -mode=free -sqlen=1200000'" />
				<test points = "0" comment = "generated cmd: 'gen_quadrangle -n=997 -mode=free -sqlen=1200000'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=1000 -k=1'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=994 -k=1'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=976 -k=2'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=989 -k=2 -parallel'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=1000 -k=3'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=874 -k=3 -parallel'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=999 -k=4'" />
				<test points = "0" comment = "generated cmd: 'gen_few_lines -n=971 -k=4 -parallel'" />
			</testset>
			<verifier type = "%testlib">
				<binary executable-id = "x86.exe.win32" file = "check.exe" />
			</verifier>
		</script>
	</judging>
</problem>
